# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-build-python3
# END SourceDeps(oneline)
%define oldname python-txws
%define fedora 27
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

%if 0%{?fedora}
%global with_python3 1
%endif

%global modname txws
%global capname txWS

Name:             python-module-txws
Version:          0.9.1
Release:          alt1_11
Summary:          Twisted WebSockets wrapper

Group:            Development/Other
License:          MIT
URL:              http://pypi.python.org/pypi/%{capname}
Source0:          http://pypi.python.org/packages/source/t/%{capname}/%{capname}-%{version}.tar.gz
Patch0:           python-txws-drop-vcversioner.patch

BuildArch:        noarch

BuildRequires:    python-devel
BuildRequires:    python-module-setuptools
BuildRequires:    python-module-twisted-conch python-module-twisted-conch-gui python-module-twisted-core python-module-twisted-core-gui python-module-twisted-core-gui-tk python-module-twisted-core-gui-wx python-module-twisted-core-test python-module-twisted-logger python-module-twisted-mail python-module-twisted-names python-module-twisted-news python-module-twisted-pair python-module-twisted-positioning python-module-twisted-runner python-module-twisted-web python-module-twisted-words
BuildRequires:    python-module-six

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-module-distribute
BuildRequires:    python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
BuildRequires:    python3-module-six
%endif

%global _description\
txWS (pronounced "Twisted WebSockets") is a small, short, simple library\
for adding WebSockets server support to your favorite Twisted applications.
Source44: import.info

%description %_description

%if 0%{?with_python3}
%package -n python3-module-txws
Summary:          Twisted WebSockets wrapper
Group:            Development/Other

Requires:         python3-module-twisted-conch python3-module-twisted-conch-gui python3-module-twisted-core python3-module-twisted-core-test python3-module-twisted-logger python3-module-twisted-names python3-module-twisted-pair python3-module-twisted-positioning python3-module-twisted-runner python3-module-twisted-web python3-module-twisted-words
Requires:         python3-module-six

%description -n python3-module-txws
txWS (pronounced "Twisted WebSockets") is a small, short, simple library
for adding WebSockets server support to your favorite Twisted applications.
%endif


%prep
%setup -q -n %{capname}-%{version}
%patch0 -p1

rm -rf *.egg*

%if 0%{?rhel}
sed -i -e 's/"Twisted",//' setup.py
%endif

%if 0%{?with_python3}
rm -rf %{_builddir}/python3-%{oldname}-%{version}-%{release}
cp -a . %{_builddir}/python3-%{oldname}-%{version}-%{release}
%endif


%build
%python_build

%if 0%{?with_python3}
%python3_build
%endif

%install
%python_install

%if 0%{?with_python3}
%python3_install
%endif


# We could run the tests when building, but txWS doesn't ship the tests.py with
# the distribution.  Leaving it commented out as a possibility for later.
#%check
#PYTHONPATH=$(pwd) trial tests.py
# XXX - also, python3 tests?

%files -n python-module-txws
%doc README.rst
%{python_sitelibdir_noarch}/%{modname}.py*
%{python_sitelibdir_noarch}/%{capname}-%{version}-*.egg-info

%if 0%{?with_python3}
%files -n python3-module-txws
%doc README.rst
%{python3_sitelibdir_noarch}/__pycache__/*
%{python3_sitelibdir_noarch}/%{modname}.py*
%{python3_sitelibdir_noarch}/%{capname}-%{version}-*.egg-info
%endif


%changelog
* Tue Mar 13 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_11
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_10
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_9
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_7
- update to new release by fcimport

* Mon Dec 19 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_5
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_3
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_2
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_1
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_2
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 0.9-alt1_1
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 0.8-alt1_2
- update to new release by fcimport

* Thu Jan 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_4
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_3
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_2
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.7.1-alt1_1
- initial fc import

